# share_it

[![pub package](https://img.shields.io/pub/v/share_it.svg)](https://pub.dev/packages/share_it)

A plugin to share text, images and files.

The Android version uses an `androidx` library. Also remember to add the necessary permissions in your app when needed.

**Features**:
- iOS & Android support
- iPad support
- Share text, links, images and files
- Common dart interface methods & specific platform methods

**TODOs**:
- Share multiple items
- Android 10 content preview support
- External Android storage support

## Example

```dart
// just text (or a link)
ShareIt.text(
  content: 'Hello!!!', 
  androidSheetTitle: 'Title here!!'
);
// a link or just text if is an invalid url
ShareIt.link(
  url: 'https://www.google.com', 
  androidSheetTitle: 'Google'
);
// some file
ShareIt.file(
  path: await _imageBundlePath, 
  type: ShareItFileType.image
);
```

There are also specific platform methods if needed.

## Getting Started

This project is a starting point for a Flutter
[plug-in package](https://flutter.dev/developing-packages/),
a specialized package that includes platform-specific implementation code for
Android and/or iOS.

For help getting started with Flutter, view our 
[online documentation](https://flutter.dev/docs), which offers tutorials, 
samples, guidance on mobile development, and a full API reference.
